Bug 179151 - [Service Workers] Add initial implementation for try Clear Registration / Clear Registration algorithms
Summary: [Service Workers] Add initial implementation for try Clear Registration / Cle...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-11-01 19:38 PDT by Chris Dumez
Modified: 2017-11-15 12:25 PST (History)
4 users (show)

See Also:


Attachments
Patch (11.59 KB, patch)
2017-11-01 19:41 PDT, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2017-11-01 19:38:57 PDT
[Service Workers] Add initial implementation for try Clear Registration / Clear Registration algorithms:
- https://w3c.github.io/ServiceWorker/#try-clear-registration
- https://w3c.github.io/ServiceWorker/#clear-registration
Comment 1 Chris Dumez 2017-11-01 19:41:16 PDT
Created attachment 325666 [details]
Patch
Comment 2 youenn fablet 2017-11-02 09:52:26 PDT
Comment on attachment 325666 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=325666&action=review

> Source/WebCore/workers/service/server/SWServerJobQueue.cpp:78
>          // If newestWorker is null, invoke Clear Registration algorithm passing this registration as its argument.

Do we need that comment? It is pretty clear from the code already. Ditto below.
Comment 3 Chris Dumez 2017-11-02 09:56:58 PDT
(In reply to youenn fablet from comment #2)
> Comment on attachment 325666 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=325666&action=review
> 
> > Source/WebCore/workers/service/server/SWServerJobQueue.cpp:78
> >          // If newestWorker is null, invoke Clear Registration algorithm passing this registration as its argument.
> 
> Do we need that comment? It is pretty clear from the code already. Ditto
> below.

It is the pattern in this file to copy/paste the spec text that matches the code.
Comment 4 Chris Dumez 2017-11-02 09:58:04 PDT
Comment on attachment 325666 [details]
Patch

Clearing flags on attachment: 325666

Committed r224337: <https://trac.webkit.org/changeset/224337>
Comment 5 Chris Dumez 2017-11-02 09:58:06 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2017-11-15 12:25:44 PST
<rdar://problem/35567487>